Name:           libctl
Version:        3.0.2
Release:        4%{?dist}
Summary:        Guile-based support for flexible control files

Group:          System Environment/Libraries
License:        GPL
URL:            http://ab-initio.mit.edu/wiki/index.php/Libctl
Source0:        http://ab-initio.mit.edu/libctl/libctl-%{version}.tar.gz
Patch0:         libctl-3.0.2-undefined_nonweak_symbs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf, automake, libtool
BuildRequires:  gcc-gfortran, guile-devel
Requires:       guile

%description
The libctl package is a Guile-based library that provides support for
flexible control files in scientific simulations.

%package devel
Summary:        Development files for libctl
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files for libctl.

%prep
%setup -q
%patch0 -p1

%build
autoreconf
%configure F77=gfortran --enable-shared --disable-static \
  --includedir=%{_includedir}/ctl
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS 
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc ChangeLog
%{_bindir}/gen-ctl-io
%{_includedir}/ctl
%{_libdir}/*.so
%{_mandir}/man1/*
%{_datadir}/libctl

%changelog
* Sat Oct 15 2006  Ed Hill <ed@eh3.com> - 3.0.2-4
- put headers in a subdir to avoid possible name collisions

* Sat Oct 14 2006  Ed Hill <ed@eh3.com> - 3.0.2-3
- disable static libs

* Sat Oct 14 2006  Ed Hill <ed@eh3.com> - 3.0.2-2
- fix undefined non-weak symbols in libctlgeom

* Wed Sep 20 2006  Ed Hill <ed@eh3.com> - 3.0.2-1
- initial package creation

